Bug 1291984 - KDE forgetting panel locations when using external monitor
KDE forgetting panel locations when using external monitor
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-16 01:41 EST by Nick Coghlan
Modified: 2016-12-20 12:04 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:04:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Coghlan 2015-12-16 01:41:56 EST
Description of problem:

I use KDE on my laptop, but configure an external monitor as my primary monitor when using it at home.

When using a single taskbar, KDE was ignoring the "primary" output setting and displaying the panel on the laptop screen even when the external monitor was connected and configured as the primary display, so I had KDE configured to display a taskbar (including the system tray, desktop switcher, time, etc) on both monitors.

Since the Plasma 5.5 update, KDE has intermittently decided not to display one or both taskbars (the original problem was not displaying one on the external monitor, currently it isn't displaying the one on the laptop monitor)

Version-Release number of selected component (if applicable):

plasma-workspace-5.5.0-2.fc23.x86_64

How reproducible:

At a rough guess, 1 login in 3 since the 5.5 update

Steps to Reproduce:
1. Log out
2. Log back in
3.

Actual results:

One or both panels have disappeared, or moved to the other monitor

Expected results:

Panels stay in their original location

Additional info:

Given the timing, I'm assuming this is due to the Plasma 5.5 upgrade in https://bodhi.fedoraproject.org/updates/FEDORA-2015-0f88189b65 , so I'm going to try to update in https://bodhi.fedoraproject.org/updates/FEDORA-2015-f0aa62dc50 to see if that helps matters.
Comment 1 Nick Coghlan 2015-12-16 02:04:56 EST
Updating to 5.5.0-4 didn't fix the problem, even after clearing all plasma and KDE related files from ~./cache and restarting the machine.

An additional detail of the symptoms worth noting is that when one of the panels "disappears", what actually seems to have happened is that both panels are displaying on the *same* monitor - this can be seen by right-clicking and removing the panel from the panel options, getting the notification that it has been removed (with the Undo option), but still being able to see the other panel where the removed one was.

Moving one of the panels to a different screen edge also reveals that both panels have ended up on the same monitor.

However, it's no longer possible to move the panel *between* monitors - it snaps to the boundary between them instead (while staying on the original monitor).
Comment 2 trekrek 2016-07-30 06:43:56 EDT
I can confirm this behaviour even with a single panel. The panel is displayed almost at random on one of the two monitor. 
The only way to surely have it on the correct one is to have the external monitor already connected on startup (at least in my case). Subsequent disconnection/reconnection of the monitor could cause again the panel to move.

Killing and restarting plasma doesn't help.

Still present on plasma 5.7.1
Comment 3 trekrek 2016-07-30 06:50:13 EDT
possibly related https://bugzilla.redhat.com/show_bug.cgi?id=1322724. As stated in this bug report, also the wallpapers are placed at random on the two monitor. The displayed wallpaper seems to not be related with the presence or not of the panel.
Also very often, in my case, I get a black screen on the laptop monitor with no plasmoid and no wallpaper (this happens always if the external monitor is connected on startup).
Comment 4 Fedora End Of Life 2016-11-24 09:16:10 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 12:04:49 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.